Switches
List Switches
GET /switch
List of Network Switches
Response 200: List of Network Switches
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
ip |
string | |
port |
integer | |
portsInUseCount |
integer | |
scan |
object | |
scan.cancelled |
boolean | |
scan.created_at |
object | |
scan.done |
boolean | |
scan.failed |
boolean | |
scan.finished |
boolean | |
scan.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
scan.status |
string | |
type |
string | |
type_desc |
string |
Create Switch
POST /switch
Add new Network Switch
Request body
| Field | Type | Required | Description |
|---|---|---|---|
allow_vlan_tagging |
boolean | ||
groups |
array | ||
ip |
string | yes | |
name |
string | yes | |
port |
string | yes | |
snmp_pass |
string | yes | |
snmp_version |
string | ||
ssh_en_pass |
string | yes | |
ssh_pass |
string | yes | |
ssh_user |
string | yes | |
type |
string |
Response 200: A Network Switch
| Field | Type | Description |
|---|---|---|
allow_vlan_tagging |
boolean | |
groups |
array | |
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
groups[].name |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
ip |
string | |
name |
string | |
port |
integer | |
portsInUseCount |
integer | |
scan |
object | |
scan.canceled |
boolean | |
scan.created_at |
object | |
scan.done |
boolean | |
scan.failed |
boolean | |
scan.finished |
boolean | |
scan.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
scan.status |
string | |
snmp_pass |
string | |
snmp_use_32_bit |
boolean | |
snmp_version |
integer | |
ssh_en_pass |
string | |
ssh_pass |
string | |
ssh_user |
string | |
type |
string | |
type_desc |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
allow_vlan_tagging |
boolean | ||
groups |
array | ||
ip |
string | yes | |
name |
string | yes | |
port |
string | yes | |
snmp_pass |
string | yes | |
snmp_version |
string | ||
ssh_en_pass |
string | yes | |
ssh_pass |
string | yes | |
ssh_user |
string | yes | |
type |
string |
Response 422: Unprocessable Entity
List Switch Types
GET /switch/type
A Network Switch Type
Response 200: A Network Switch Type
| Field | Type | Description |
|---|---|---|
name |
string | |
slug |
string |
Delete Switch
DELETE /switch/{switch_id}
Delete a Network Switch
Response 200: Network Switch deleted successfully
Response 404: Item not Found
View Switch
GET /switch/{switch_id}
A Network Switch
Response 200: A Network Switch
| Field | Type | Description |
|---|---|---|
allow_vlan_tagging |
boolean | |
groups |
array | |
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
groups[].name |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
ip |
string | |
name |
string | |
port |
integer | |
portsInUseCount |
integer | |
scan |
object | |
scan.canceled |
boolean | |
scan.created_at |
object | |
scan.done |
boolean | |
scan.failed |
boolean | |
scan.finished |
boolean | |
scan.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
scan.status |
string | |
snmp_pass |
string | |
snmp_use_32_bit |
boolean | |
snmp_version |
integer | |
ssh_en_pass |
string | |
ssh_pass |
string | |
ssh_user |
string | |
type |
string | |
type_desc |
string |
Edit Switch
PATCH /switch/{switch_id}
Edit Network Switch
Request body
| Field | Type | Required | Description |
|---|---|---|---|
allow_vlan_tagging |
boolean | ||
groups |
array | ||
ip |
string | ||
name |
string | ||
port |
string | ||
snmp_pass |
string | ||
snmp_version |
string | ||
ssh_en_pass |
string | ||
ssh_pass |
string | ||
ssh_user |
string | ||
type |
string |
Response 200: A Network Switch
| Field | Type | Description |
|---|---|---|
allow_vlan_tagging |
boolean | |
groups |
array | |
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
groups[].name |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
ip |
string | |
name |
string | |
port |
integer | |
portsInUseCount |
integer | |
scan |
object | |
scan.canceled |
boolean | |
scan.created_at |
object | |
scan.done |
boolean | |
scan.failed |
boolean | |
scan.finished |
boolean | |
scan.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
scan.status |
string | |
snmp_pass |
string | |
snmp_use_32_bit |
boolean | |
snmp_version |
integer | |
ssh_en_pass |
string | |
ssh_pass |
string | |
ssh_user |
string | |
type |
string | |
type_desc |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
allow_vlan_tagging |
boolean | ||
groups |
array | ||
ip |
string | ||
name |
string | ||
port |
string | ||
snmp_pass |
string | ||
snmp_version |
string | ||
ssh_en_pass |
string | ||
ssh_pass |
string | ||
ssh_user |
string | ||
type |
string |
Response 422: Unprocessable Entity